Interlaken
API referenceAgents and workflowsRetrieval

Enable RAG: provisions the tenant's managed Qdrant store on the chosen subnet

POST
/api/v1/rag/enable

Requires the rag:write permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/rag/enable" \  -H "Content-Type: application/json" \  -d '{    "subnet_id": "69f11071-4ccc-4bb5-932b-00eac1b68892",    "vpc_id": "26872b87-3ca9-4a41-b328-948d9c25c405"  }'
{  "embed_model": "string",  "enabled": true,  "status": "string",  "vpc_endpoint": "string"}